Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » 3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed
3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed [message #64563] Tue, 25 April 2006 15:47 Go to next message
lophiomys is currently offline lophiomys
Messages: 14
Registered: July 2009
Junior Member
Hi,

I've installed (unzipped) the AJDT 3.1.1. April 10 version into a fresh install of my
Eclipse 3.1.2 minimal binary installation, consisting of Plattform and JDT only.

The problem is
that the AJDT functionality does NOT show up,
eg. File>New > Project > AspectJ Project, or the CrossRef View.
The AJDT installation seem to be correct from what Help>About Eclipse Platform and
Help>Software Update>Manage Configuration display.
No Error message whatsoever.

Solution:
Finally before I started raging here I installed the complete Eclipse 3.1.2 SDK and
AJDT 3.1.1 works out of the box.

Question:
What are the minimum requirements for the AJDT 3.1.1. plugin?
Does AJDT really need the full Eclipse SDK installed?

Kind Regards,
Lophiomys
Re: 3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed [message #64609 is a reply to message #64563] Wed, 26 April 2006 08:35 Go to previous messageGo to next message
lophiomys is currently offline lophiomys
Messages: 14
Registered: July 2009
Junior Member
Correction:
Of course I addressed AJDT 1.3.1 in my post.
Sorry for the typo.
Lophiomys

On Tue, 25 Apr 2006 17:47:51 +0200, Lophiomys <lophiomys@gmx.at> wrote:

>Hi,
>
>I've installed (unzipped) the AJDT 3.1.1. April 10 version into a fresh install of my
>Eclipse 3.1.2 minimal binary installation, consisting of Plattform and JDT only.
>
>The problem is
>that the AJDT functionality does NOT show up,
>eg. File>New > Project > AspectJ Project, or the CrossRef View.
>The AJDT installation seem to be correct from what Help>About Eclipse Platform and
>Help>Software Update>Manage Configuration display.
>No Error message whatsoever.
>
>Solution:
>Finally before I started raging here I installed the complete Eclipse 3.1.2 SDK and
>AJDT 3.1.1 works out of the box.
>
>Question:
>What are the minimum requirements for the AJDT 3.1.1. plugin?
>Does AJDT really need the full Eclipse SDK installed?
>
>Kind Regards,
>Lophiomys
Re: 3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed [message #64632 is a reply to message #64563] Wed, 26 April 2006 12:51 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Tue, 25 Apr 2006 17:47:51 +0200, Lophiomys wrote:
> What are the minimum requirements for the AJDT 3.1.1. plugin?
> Does AJDT really need the full Eclipse SDK installed?

AJDT has other dependencies, such as on PDE to support AspectJ-enabled
plug-ins, so it really does need the full Eclipse SDK.

Regards,

Matt.
Re: 3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed [message #593480 is a reply to message #64563] Wed, 26 April 2006 08:35 Go to previous message
lophiomys is currently offline lophiomys
Messages: 14
Registered: July 2009
Junior Member
Correction:
Of course I addressed AJDT 1.3.1 in my post.
Sorry for the typo.
Lophiomys

On Tue, 25 Apr 2006 17:47:51 +0200, Lophiomys <lophiomys@gmx.at> wrote:

>Hi,
>
>I've installed (unzipped) the AJDT 3.1.1. April 10 version into a fresh install of my
>Eclipse 3.1.2 minimal binary installation, consisting of Plattform and JDT only.
>
>The problem is
>that the AJDT functionality does NOT show up,
>eg. File>New > Project > AspectJ Project, or the CrossRef View.
>The AJDT installation seem to be correct from what Help>About Eclipse Platform and
>Help>Software Update>Manage Configuration display.
>No Error message whatsoever.
>
>Solution:
>Finally before I started raging here I installed the complete Eclipse 3.1.2 SDK and
>AJDT 3.1.1 works out of the box.
>
>Question:
>What are the minimum requirements for the AJDT 3.1.1. plugin?
>Does AJDT really need the full Eclipse SDK installed?
>
>Kind Regards,
>Lophiomys
Re: 3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed [message #593493 is a reply to message #64563] Wed, 26 April 2006 12:51 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Tue, 25 Apr 2006 17:47:51 +0200, Lophiomys wrote:
> What are the minimum requirements for the AJDT 3.1.1. plugin?
> Does AJDT really need the full Eclipse SDK installed?

AJDT has other dependencies, such as on PDE to support AspectJ-enabled
plug-ins, so it really does need the full Eclipse SDK.

Regards,

Matt.
Previous Topic:3.1.1 installation problem - ajdt functionality not showing up OR needs Eclipse SDK installed
Next Topic:Linux broken where Windows works?
Goto Forum:
  


Current Time: Tue Sep 16 15:33:50 GMT 2014

Powered by FUDForum. Page generated in 0.02179 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software